<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Name: Lichaamslengte
Description: Lichaamslengte
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000">
   <title>Lichaamslengte</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]
Item: (Lichaamslengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]
Item: (Lichaamslengte)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]"
         id="d42e252-false-d1364e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@classCode) = ('OBS')">(Lichaamslengte): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@moodCode) = ('EVN')">(Lichaamslengte): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']) &gt;= 1">(Lichaamslengte): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']) &lt;= 1">(Lichaamslengte): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Lichaamslengte): element hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Lichaamslengte): element hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:value) &gt;= 1">(Lichaamslengte): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:value) &lt;= 1">(Lichaamslengte): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']
Item: (Lichaamslengte)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']"
         id="d42e270-false-d1407e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Lichaamslengte): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.62.3.10.2')">(Lichaamslengte): The value for root SHALL be '2.16.840.1.113883.3.1937.99.62.3.10.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Lichaamslengte)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:code[(@code = '3137-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e275-false-d1422e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Lichaamslengte): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="@nullFlavor or (@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')">(Lichaamslengte): The element value SHALL be one of 'code '3137-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:value
Item: (Lichaamslengte)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:value"
         id="d42e281-false-d1438e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Lichaamslengte): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=0)) or (@nullFlavor or (number(@value)&lt;=270))">(Lichaamslengte): value SHALL be in range [0..]   or be in range [..270]  </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Lichaamslengte): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Lichaamslengte): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="@value">(Lichaamslengte): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Lichaamslengte): Attribute @value is not a valid real number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20230414T094258/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@unit) = ('cm')">(Lichaamslengte): The value for unit SHALL be 'cm'. Found: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
